diff --git a/mobile/test/services/public_event_service_test.dart b/mobile/test/services/public_event_service_test.dart
index 829d7ca..da4edde 100644
--- a/mobile/test/services/public_event_service_test.dart
+++ b/mobile/test/services/public_event_service_test.dart
@@ -77,7 +77,7 @@ void main() {
       final data = await svc.enter(hash, password: 'pw');
       expect(data['token'], 'TKN');
       expect(WebStorage.getItem(PublicEventService.tokenKey(hash)), 'TKN');
-      expect(fake.lastPath, '/api/public/' + hash);
+      expect(fake.lastPath, '/api/public/$hash');
     });
 
     test('removes saved token on 401/403', () async {
@@ -115,7 +115,7 @@ void main() {
         handicap: 0,
       );
 
-      expect(fake.lastPath, '/api/public/' + hash + '/score');
+      expect(fake.lastPath, '/api/public/$hash/score');
       expect(fake.lastHeaders?['Authorization'], 'Bearer TKN2');
       expect(fake.lastData['participantId'], '10');
       expect(fake.lastData['gameNumber'], 1);
@@ -134,7 +134,7 @@ void main() {
 
       final data = await svc.fetchEvent(hash);
       expect(data['event']['id'], 'E1');
-      expect(fake.lastPath, '/api/public/' + hash);
+      expect(fake.lastPath, '/api/public/$hash');
       expect(fake.lastHeaders?['Authorization'], 'Bearer TKF');
     });
   });
@@ -162,7 +162,7 @@ void main() {
       WebStorage.setItem(PublicEventService.tokenKey(hash), 'TG');
 
       await svc.addGuest(hash, name: '홍길동', phone: '010', gender: 'M', average: 190);
-      expect(fake.lastPath, '/api/public/' + hash + '/guest');
+      expect(fake.lastPath, '/api/public/$hash/guest');
       expect(fake.lastHeaders?['Authorization'], 'Bearer TG');
       expect(fake.lastData['name'], '홍길동');
       expect(fake.lastData['phone'], '010');
diff --git a/mobile/test/widgets/public_event_404_guard_test.dart b/mobile/test/widgets/public_event_404_guard_test.dart
index 9e3fbf1..32edbde 100644
--- a/mobile/test/widgets/public_event_404_guard_test.dart
+++ b/mobile/test/widgets/public_event_404_guard_test.dart
@@ -14,7 +14,7 @@ DioException dio404(String path) => DioException(
 class Stub404Service extends PublicEventService {
   @override
   Future<Map<String, dynamic>> fetchEvent(String publicHash) async {
-    throw dio404('/api/public/' + publicHash);
+    throw dio404('/api/public/$publicHash');
   }
 }
 
diff --git a/mobile/test/widgets/public_event_auth_expire_test.dart b/mobile/test/widgets/public_event_auth_expire_test.dart
index b74391d..2ad887b 100644
--- a/mobile/test/widgets/public_event_auth_expire_test.dart
+++ b/mobile/test/widgets/public_event_auth_expire_test.dart
@@ -14,7 +14,7 @@ DioException dio401(String path) => DioException(
 class StubFetch401Service extends PublicEventService {
   @override
   Future<Map<String, dynamic>> fetchEvent(String publicHash) async {
-    throw dio401('/api/public/' + publicHash);
+    throw dio401('/api/public/$publicHash');
   }
 }
 
@@ -37,7 +37,7 @@ class StubUpdate401Service extends PublicEventService {
 
   @override
   Future<void> updateScore(String publicHash, {required String participantId, required int gameNumber, required int score, int? handicap, dynamic teamNumber}) async {
-    throw dio401('/api/public/' + publicHash + '/score');
+    throw dio401('/api/public/$publicHash/score');
   }
 }
 
